#
# spec file for package ineffassign
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         gordonklaus
%global repo            ineffassign
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

%define commit      7bae11eba15a3285c75e388f77eb6357a2d73ee2

Name:           ineffassign
Version:        0.0.0+git20180909.1003c8b
Release:        lp152.1.4
Summary:        Tool to detect ineffectual assignments in Go code
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source:         ineffassign-%{version}.tar.xz
BuildRequires:  golang-packaging
%{go_provides}

%description
This tool misses some cases because does not consider any type information in
its analysis. (For example, assignments to struct fields are never marked as
ineffectual.) It should, however, never give any false positives.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{provider_prefix}
%gobuild ...

%install
%goinstall

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Wed Jan  2 2019 ndas@suse.de
- enable tar_scm service
* Wed Jan  2 2019 opensuse-packaging@opensuse.org
- Update to version 0.0.0+git20180909.1003c8b:
  * Don't treat initialization to zero like `x := int64(0)` as assignment.
  * Guard against invalid code (break/continue outside of loop).
  * Definitely don't panic in maybePanic.
  * Mark named function results as used in operations that may panic.
  * Don't treat explicit initialization to zero as assignment; it is often used as shorthand for a bare declaration.
  * Support multiple path arguments on the command line.
  * Add a note to the README about limitations.
  * Slicing an array or taking the address of an array element causes the array to escape.
  * Use control flow analysis to find more useless assignments.
  * ignore vendor directories
* Tue Jul 10 2018 mrostecki@suse.com
- Initial release
